> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onepanel.ng/llms.txt
> Use this file to discover all available pages before exploring further.

# List data plans



## OpenAPI

````yaml /openapi.yaml get /bundles
openapi: 3.0.3
info:
  title: OnePanel API
  version: 1.0.0
  description: API for OnePanel data vending and transaction management.
servers:
  - url: https://api.onepanel.ng/api/v1
    description: Production
security: []
tags:
  - name: Catalog
  - name: Purchases
  - name: Transactions
  - name: Account
paths:
  /bundles:
    get:
      tags:
        - Catalog
      summary: List data plans
      operationId: listBundles
      parameters:
        - name: carrier
          in: query
          schema:
            type: string
            example: mtn
        - name: category
          in: query
          schema:
            type: string
            example: Monthly
        - name: q
          in: query
          schema:
            type: string
            example: 1GB
      responses:
        '200':
          description: Current plan catalog.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Bundle'
      security: []
components:
  schemas:
    Bundle:
      type: object
      required:
        - id
        - name
        - amount
        - validity
        - carrier
      properties:
        id:
          type: string
          example: '1650'
        name:
          type: string
          example: 1GB Data
        amount:
          type: string
          example: '1650.00'
        validity:
          type: string
          example: 30 days
        description:
          type: string
        category:
          type: string
          example: Monthly
        sub_category:
          type: string
          example: Monthly
        carrier:
          type: string
          example: mtn

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.